#!/bin/sh

# Configure Ceph to optimise recovery speed
## Some slowdown might happens to read/write content on OSDs

# Change OSDs configuration to increase recovery
## See the documentation for more informations :
## http://docs.ceph.com/docs/luminous/rados/configuration/osd-config-ref/#operations
sudo ceph tell osd.* injectargs '--osd-max-backfills 4';
sudo ceph tell osd.* injectargs '--osd-recovery-max-active 10';
printf '%b\n' "OSDs args are setted for recovery."

exit 0
